import { BaseMaterial, RenderSideType } from "./BaseMaterial";

/**
 * 天空盒材质，由于暂时用球做天空盒，所以side设置背面，对应的着色器有修改，深度值最大，且相机距离不影响天空盒
 * 还有问题，再说
 */
export class SkyboxMaterial extends BaseMaterial {
    constructor(parameters?) {
        super(parameters);
        this._instanceType = "SkyboxMaterial";
        this.side = RenderSideType.BackSide;
    }
}